Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
luyenxdk48

Tìm lisp đo chiều dài đoạn thẳng cùng layer

Các bài được khuyến nghị

Tình hình là e đọc tài liệu, thấy có lệnh CS để đặt tỷ lệ cho bình đồ. tuyến của e dài 200m, tỷ lệ 1/500. e đã đặt tỷ lệ rồi

sau đó DNDM, vạch tuyến, chèn cọc,chạy TD. Khi ra TD thì tuyến lại dài có hơn 40m. như thế là làm sao ạ? Tỷ lện TD của e là 1/100 và 1/1000.

Các bác giúp e với. Thank các bác nhìu.

Bác nào có lisp đo chiều dài các đoạn thẳng của cùng 1 layer ko,Post lên cho mình xem cái!

Thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bác nào có lisp đo chiều dài các đoạn thẳng của cùng 1 layer ko,Post lên cho mình xem cái!

Thanks

Bạn thử code này nhé :

(defun c:lla(/ la ss S)
 (setvar "cmdecho" 0)
 (setq la (cdr(assoc 8 (entget (car(entsel "\n Chon Layer bang cach pick 1 doi tuong :"))))))
 (setq ss (ssget "X" (list(cons 0 "*LINE") (cons 8 la))) i -1 S 0)
(if ss (progn
 (while (setq ent (ssname ss (setq i (1+ i))))
(command ".lengthen" ent "")
(Setq S (+ S (getvar "perimeter")))
 )
 (alert (strcat "Tong chieu dai cua doan thang LINE, PLINE thuoc Layer " la
	 " la : " (rtos S 2 2)
  )
 )
);progn
  (alert (strcat "Khong co doi tuong LINE, PLINE thuoc Layer " la))
);if
 (princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×